//+------------------------------------------------------------------+
//|                                               i-ASCTrend1Sig.mq4 |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//| 04.09.2005                                 |
//+------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 DarkTurquoise
#property indicator_color2 DeepPink

//-------    -------------------------------
extern int NumberOfBars = 1000;  //    (0-)

//-------    ---------------------------------
#include <s-SilverTrend_Signal.mqh>

//-------   ------------------------------------------
double SigBuy[];
double SigSell[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void init() {
  SetIndexBuffer(0, SigBuy);
  SetIndexStyle (0, DRAW_ARROW);
  SetIndexArrow (0, 233);
  SetIndexEmptyValue(0, EMPTY_VALUE);

  SetIndexBuffer(1, SigSell);
  SetIndexStyle (1, DRAW_ARROW);
  SetIndexArrow (1, 234);
  SetIndexEmptyValue(1, EMPTY_VALUE);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
void start() {
  double ms[2];                   //  
  int    loopbegin, shift;

 	if (NumberOfBars==0) loopbegin=Bars-1;
  else loopbegin=NumberOfBars-1;

  for (shift=loopbegin; shift>=0; shift--) {
    ms[0]=EMPTY_VALUE;
    ms[1]=EMPTY_VALUE;
    GetSignals("", 0, shift, ms);
    SigBuy[shift]=ms[0];
    SigSell[shift]=ms[1];
  }
}
//+------------------------------------------------------------------+

