//+------------------------------------------------------------------+
//|                                           SilverTrend_Signal.mq4 |
//|                                        Ramdass - Conversion only |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|                                         s-SilverTrend_Signal.mqh |
//|                                             . aka KimIV |
//|                                              http://www.kimiv.ru |
//|                                                                  |
//| 21.11.2005    ASCTrend                           |
//+------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

//-------    -------------------------------
extern string _Parameters_Indicator = "----------  ";
extern int    RISK       = 3;
extern int    SSP        = 9;
extern double StopFactor = 0.5;

//-------     -------------------
bool gbOldUpTrend, gbUpTrend;

//+------------------------------------------------------------------+
//|     (  )     |
//| :                                                       |
//|   sym -                                   |
//|   tf  -  ()                                       |
//|   nb -                                                  |
//|   ms -   ()                               |
//|        0.                                         |
//|        1.                                         |
//+------------------------------------------------------------------+
void GetSignals(string sym, int tf, int nb, double& ms[]) {
 	if (sym=="") sym=Symbol();

  double Range, AvgRange=0, smin, smax, SsMax, SsMin, price;
  int    i1, i2, K;

  K=33-RISK;
 	for (i1=nb; i1<=nb+SSP; i1++) AvgRange+=High[i1]-Low[i1];
 	Range=AvgRange/(SSP+1);

  SsMax=High[nb]; SsMin=Low[nb];
  for (i2=nb; i2<=nb+SSP-1; i2++) {
    price=High[i2];
    if (SsMax<price) SsMax=price;
    price=Low[i2];
    if (SsMin>=price) SsMin=price;
  }
  smin=SsMin+(SsMax-SsMin)*K/100;
  smax=SsMax-(SsMax-SsMin)*K/100;
 	if (Close[nb]<smin) gbUpTrend=false;
 	if (Close[nb]>smax) gbUpTrend=true;
  if (gbUpTrend!=gbOldUpTrend && gbUpTrend==true) ms[0]=Low[nb]-Range*StopFactor;
  if (gbUpTrend!=gbOldUpTrend && gbUpTrend==false) ms[1]=High[nb]+Range*StopFactor;
  gbOldUpTrend=gbUpTrend;
}
//+------------------------------------------------------------------+

